Bug 1129874 - [abrt] gnome-abrt: views.py:50:item_match:AttributeError: 'NoneType' object has no attribute 'encode'
Summary: [abrt] gnome-abrt: views.py:50:item_match:AttributeError: 'NoneType' object h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:073cb4b8b64baa746774515e7d7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 20:13 UTC by Elad Alfassa
Modified: 2016-12-01 00:47 UTC (History)
2 users (show)

Fixed In Version: gnome-abrt-1.0.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-20 16:39:11 UTC


Attachments (Terms of Use)
File: backtrace (738 bytes, text/plain)
2014-08-13 20:13 UTC, Elad Alfassa
no flags Details
File: environ (2.54 KB, text/plain)
2014-08-13 20:13 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2014-08-13 20:13:32 UTC
Description of problem:
Search for gibberish (just mash your keyboards or something) in gnome-abrt's search bar. It caused the app to be slow for a second and then this "crash" showed up. It didn't actually crash.

See also https://github.com/abrt/gnome-abrt/issues/86

Version-Release number of selected component:
gnome-abrt-0.3.7-3.fc21

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
views.py:50:item_match:AttributeError: 'NoneType' object has no attribute 'encode'

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 68, in problems_filter
    return match_pattern(pattern, model[itrtr][2])
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 54, in match_pattern
    if item_match(pattern, problem) or pattern in problem.problem_id:
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 50, in item_match
    val = problem[i].encode('utf-8')
AttributeError: 'NoneType' object has no attribute 'encode'

Local variables in innermost frame:
i: 'component'
pattern: 'f'
problem: <gnome_abrt.problems.Problem object at 0x7fa8def28090>

Comment 1 Elad Alfassa 2014-08-13 20:13:35 UTC
Created attachment 926564 [details]
File: backtrace

Comment 2 Elad Alfassa 2014-08-13 20:13:37 UTC
Created attachment 926565 [details]
File: environ

Comment 3 Fedora Update System 2014-10-15 12:32:32 UTC
gnome-abrt-1.0.0-1.fc21, abrt-2.3.0-2.fc21, libreport-2.3.0-2.fc21, satyr-0.15-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gnome-abrt-1.0.0-1.fc21,abrt-2.3.0-2.fc21,libreport-2.3.0-2.fc21,satyr-0.15-1.fc21

Comment 4 Fedora Update System 2014-10-16 01:59:38 UTC
Package gnome-abrt-1.0.0-1.fc21, abrt-2.3.0-2.fc21, libreport-2.3.0-2.fc21, satyr-0.15-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-abrt-1.0.0-1.fc21 abrt-2.3.0-2.fc21 libreport-2.3.0-2.fc21 satyr-0.15-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12856/gnome-abrt-1.0.0-1.fc21,abrt-2.3.0-2.fc21,libreport-2.3.0-2.fc21,satyr-0.15-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-10-20 16:39:11 UTC
gnome-abrt-1.0.0-1.fc21, abrt-2.3.0-2.fc21, libreport-2.3.0-2.fc21, satyr-0.15-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.